Bug 326921 - SELinux is preventing setsebool (setsebool_t) "write" to pipe (rpm_t)
SELinux is preventing setsebool (setsebool_t) "write" to pipe (rpm_t)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 16:32 EDT by Doug Maxey
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2007-10-10 16:32:58 EDT
Description of problem:

Detailed Description
    SELinux denied access requested by setsebool. It is not expected that this
    access is required by setsebool and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:setsebool_t:s0
Target Context                system_u:system_r:rpm_t:s0
Target Objects                pipe [ fifo_file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-14.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     xxxxx
Platform                      Linux xxxxx
                              2.6.23-0.214.rc8.git2.fc8 #1 SMP Fri Sep 28
                              17:38:00 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Mon Oct  8 13:52:14 2007
Last Seen                     Mon Oct  8 13:52:14 2007
Local ID                      6a87578c-a69e-451d-abc4-24e067b592ee
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm=setsebool dev=pipefs path=pipe:[180895] pid=19404
scontext=system_u:system_r:setsebool_t:s0 tclass=fifo_file
tcontext=system_u:system_r:rpm_t:s0


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This is one of my personal favs.  :)
Comment 1 Daniel Walsh 2007-10-11 09:31:33 EDT
Fixed in selinux-policy-3.0.8-21.fc8
Comment 2 Daniel Walsh 2008-01-30 14:19:26 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.